> For the complete documentation index, see [llms.txt](https://guia.fenicio.help/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://guia.fenicio.help/developers/api-integracion-de-logistica/servicios/notifications-webhook.md).

# Notifications Webhook

Recibe notificaciones sobre el cambio de estado de un pedido (este servicio lo implementa Fenicio en cada una de las tiendas).&#x20;

La URL a la cual se deben enviar las notificaciones se incluye dentro de la información del servicio [**Create Shipping**](/developers/api-integracion-de-logistica/servicios/create-shipping.md). También se incluye el código que debe ser enviado dentro del header `X-API-KEY` para autorizar la solicitud.

<table><thead><tr><th width="127">Método</th><th>	URL</th></tr></thead><tbody><tr><td><code>POST</code></td><td>https://{WebhookURL}</td></tr></tbody></table>

## Request

<table><thead><tr><th width="171"> Clave</th><th width="165">Tipo</th><th>Descripción</th></tr></thead><tbody><tr><td><strong><code>orderId</code></strong></td><td>String </td><td>Identificador de la orden (se envía en el servicio<a href="/developers/api-integracion-de-logistica/servicios/create-shipping.md"> <strong>Create Shipping</strong></a>).</td></tr><tr><td><strong><code>statusCode</code></strong> </td><td>Enum (String)</td><td>Código del estado del pedido. Valores a definir por empresa logística.</td></tr><tr><td><strong><code>generatedAt</code></strong> </td><td><a href="/developers/referencia/tipos-de-valores.md#datetime"><strong>DateTime</strong></a> | null </td><td>Fecha.</td></tr><tr><td><strong><code>description</code></strong> </td><td>String | null </td><td>Descripción del cambio de estado.</td></tr></tbody></table>

## Response

Fenicio devuelve el código HTTP `200` al recibir correctamente la notificación. De lo contrario, se incluirá la siguiente respuesta:

<table><thead><tr><th width="218"> Clave </th><th width="110">Tipo</th><th>Descripción</th></tr></thead><tbody><tr><td><strong><code>errorDescription</code></strong></td><td>String</td><td>Descripción del error.</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://guia.fenicio.help/developers/api-integracion-de-logistica/servicios/notifications-webhook.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
